Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.php
Class PHPApplicationPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.php.PHPApplicationPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public class PHPApplicationPortlet
extends javax.portlet.GenericPortlet

This portlet is executes a PHP application in a portlet.

Version:
  $Id: PHPApplicationPortlet.java 545680 2007-06-09 01:48:26Z ate $
Author:
  Roger Ruttimann

Field Summary
`private boolean` | `bUseCachedParameters`
`private String` | `lastContextPath`
`private String` | `lastQuery`
`private String` | `lastURI`
`private static org.apache.commons.logging.Log` | `log`
`static String` | `PARAM_SERVLET_CONTEXT_PROVIDER` INIT parameters required by the PHP Portlet:application and ServletContextProvider Name of class implementing `PHPServletContextProvider`
`(package private) com.itgroundwork.portlet.php.servlet` | `phpServletImpl`
`private String` | `portletID`
`(package private) ServletConfigImpl` | `servletConfig`
`private org.apache.portals.bridges.common.ServletContextProvider` | `servletContextProvider`
`static String` | `START_PAGE` Start page for this portlet it must be the path to the script (e.g hosts/index.php)
`private String` | `startPage`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`PHPApplicationPortlet()`

Method Summary
`void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` doView Renders a PHP file in the portlet.
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest actionRequest, javax.portlet.ActionResponse actionResponse)` processAction() Checks action initiated by the php portlet (invoking other php scripts)

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAM_SERVLET_CONTEXT_PROVIDER

    public static final String PARAM_SERVLET_CONTEXT_PROVIDER

  INIT parameters required by the PHP Portlet:application and ServletContextProvider Name of class implementing `PHPServletContextProvider`

  See Also:
    Constant Field Values

### START_PAGE

    public static final String START_PAGE

  Start page for this portlet it must be the path to the script (e.g hosts/index.php)

  See Also:
    Constant Field Values

### servletContextProvider

    private org.apache.portals.bridges.common.ServletContextProvider servletContextProvider

### log

    private static final org.apache.commons.logging.Log log

### servletConfig

    ServletConfigImpl servletConfig

### phpServletImpl

    com.itgroundwork.portlet.php.servlet phpServletImpl

### startPage

    private String startPage

### bUseCachedParameters

    private boolean bUseCachedParameters

### lastContextPath

    private String lastContextPath

### lastQuery

    private String lastQuery

### lastURI

    private String lastURI

### portletID

    private String portletID

Constructor Detail

### PHPApplicationPortlet

    public PHPApplicationPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest actionRequest,
                              javax.portlet.ActionResponse actionResponse)
                       throws javax.portlet.PortletException,
                              IOException

  processAction() Checks action initiated by the php portlet (invoking other php scripts)

  Parameters:
    `actionRequest` -
    `actionResponse` -
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### doView

    public void doView(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  doView Renders a PHP file in the portlet. The script parameters are in a PHPParameters object that is passed in the session

  Throws:
    `javax.portlet.PortletException`
    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.